Bug 60963 - Xamarin Profiler fails - runtime installed on device is too old
Summary: Xamarin Profiler fails - runtime installed on device is too old
Status: VERIFIED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: Android (show other bugs)
Version: unspecified
Hardware: PC Windows
: Highest critical
Target Milestone: 15.5.1
Assignee: Jose Miguel Torres
URL:
Depends on:
Blocks:
 
Reported: 2017-12-03 23:13 UTC by Robert
Modified: 2017-12-26 10:06 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
ProfilerFailSuccess logs (82.75 KB, text/plain)
2017-12-03 23:13 UTC, Robert
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Robert 2017-12-03 23:13:48 UTC
Created attachment 25895 [details]
ProfilerFailSuccess logs

Xamarin Profiler 1.6.0.16 fails profiling any project, e.g. the example SingleViewApp, when run on LGE Nexus 5X w/Android 8.0.0 with message: "Sorry, something went wrong trying to run SingleViewApp.SingleViewApp: Runtime installed on device LGE Nexus 5X is too old. Deploy your app again with a newer version of Xamarin Studio"

Profiling the same project succeeds on a Samsung SM-T280 w/Android 5.1.1. Attached logs for failure and success.
Comment 1 Jason Bowling 2017-12-04 13:39:19 UTC
I'm experiencing the same issue on a Nexus 6P running Android 8.  Details can be found at https://forums.xamarin.com/discussion/comment/309905
Comment 2 Myke 2017-12-07 17:22:59 UTC
I too am experiencing this issue on Nexus 6P Android 8 but not Galaxy S6 Android 7.
Comment 3 Rodrigo Moya 2017-12-13 00:40:57 UTC
Can you please provide us with the output of:

$ $(AndroidSdkInstallDir)/adb shell dumpsys package Mono.Android.DebugRuntime

? We do a check for a very old version of Xamarin.Android, which was when profiling support was added, so it is quite strange that this shows up now, and only on some devices.
Comment 4 Myke 2017-12-13 13:34:59 UTC
Receiver Resolver Table:
  Non-Data Actions:
      mono.android.intent.action.PACKAGE_VERSIONS:
        484a719 Mono.Android.DebugRuntime/com.xamarin.mono.android.PackageVersions
      mono.android.intent.action.EXTERNAL_STORAGE_DIRECTORY:
        dbaf3de Mono.Android.DebugRuntime/com.xamarin.mono.android.ExternalStorageDirectory

Key Set Manager:
  [Mono.Android.DebugRuntime]
      Signing KeySets: 7

Packages:
  Package [Mono.Android.DebugRuntime] (a9ba9bf):
    userId=10060
    pkg=Package{ab9a88c Mono.Android.DebugRuntime}
    codePath=/data/app/Mono.Android.DebugRuntime-1
    resourcePath=/data/app/Mono.Android.DebugRuntime-1
    legacyNativeLibraryDir=/data/app/Mono.Android.DebugRuntime-1/lib
    primaryCpuAbi=x86
    secondaryCpuAbi=null
    versionCode=1511893706 targetSdk=25
    versionName=8.1.0-24
    splits=[base]
    applicationInfo=ApplicationInfo{aaf9bd5 Mono.Android.DebugRuntime}
    flags=[ HAS_CODE ALLOW_CLEAR_USER_DATA ALLOW_BACKUP ]
    dataDir=/data/user/0/Mono.Android.DebugRuntime
    supportsScreens=[small, medium, large, xlarge, resizeable, anyDensity]
    timeStamp=2017-12-07 09:07:34
    firstInstallTime=2017-12-07 09:07:34
    lastUpdateTime=2017-12-07 09:07:34
    signatures=PackageSignatures{9fe6fea [6b22db]}
    installPermissionsFixed=false installStatus=1
    pkgFlags=[ HAS_CODE ALLOW_CLEAR_USER_DATA ALLOW_BACKUP ]
    User 0:  installed=true hidden=false stopped=false notLaunched=false enabled=0
      runtime permissions:
Comment 5 Rodrigo Moya 2017-12-13 13:39:20 UTC
We have a fix for this being QA'ed as we speak, so should be releasing an update with the fix soon
Comment 6 xamarin-release-manager 2017-12-13 16:23:50 UTC
Fixed in version 1.6.1.390 (master)

Author: Rodrigo Moya
Commit: a9c63ecff7916d271d58b44c70ef0ca82bbf8591 (xamarin/profiler)